redis_config = { url: ENV["REDIS_URL"] }
redis_config.merge!(password: ENV["REDIS_PASSWORD"]) if ENV["REDIS_PASSWORD"].present?
redis_config.merge!(db: ENV["REDIS_DB"]) if ENV["REDIS_DB"].present?

Sidekiq.configure_server do |config|
  config.redis = redis_config
end

Sidekiq.configure_client do |config|
  config.redis = redis_config
end
